package cn.hmsoft.frame.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.frame.constants.FrameSeqName;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 系统表-定时器运行日志
* @author: zxq
* @date: 2018-05-10 19:41:29
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "FRAME_TIMER_LOG", keyColumn =  "LOG_ID" , sequenceName = FrameSeqName.FrameTimerLogId)
public class FrameTimerLog implements Serializable{
	private static final long serialVersionUID = -6167090216698472879L;
	//日志编号
	private Integer log_id;
	//本次运行日志信息
	private String log_note;
	//日志参数信息
	private String log_param;
	//结束运行时间
	private LocalDateTime run_end_time;
	//开始运行时间
	private LocalDateTime run_start_time;
	//定时器编号
	private Integer timer_id;

	/****
	 * 日志编号
	 */
	public Integer getLog_id() {
		return this.log_id;
	}

	/****
	 * 日志编号
	 */
	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * 本次运行日志信息
	 */
	public String getLog_note() {
		return this.log_note;
	}

	/****
	 * 本次运行日志信息
	 */
	public void setLog_note(String log_note) {
		this.log_note = log_note;
	}

	/****
	 * 日志参数信息
	 */
	public String getLog_param() {
		return this.log_param;
	}

	/****
	 * 日志参数信息
	 */
	public void setLog_param(String log_param) {
		this.log_param = log_param;
	}

	/****
	 * 结束运行时间
	 */
	public LocalDateTime getRun_end_time() {
		return this.run_end_time;
	}

	/****
	 * 结束运行时间
	 */
	public void setRun_end_time(LocalDateTime run_end_time) {
		this.run_end_time = run_end_time;
	}

	/****
	 * 开始运行时间
	 */
	public LocalDateTime getRun_start_time() {
		return this.run_start_time;
	}

	/****
	 * 开始运行时间
	 */
	public void setRun_start_time(LocalDateTime run_start_time) {
		this.run_start_time = run_start_time;
	}

	/****
	 * 定时器编号
	 */
	public Integer getTimer_id() {
		return this.timer_id;
	}

	/****
	 * 定时器编号
	 */
	public void setTimer_id(Integer timer_id) {
		this.timer_id = timer_id;
	}
}